import { type DomainEvent } from '@modules/shared';

export class KycRejectedEvent implements DomainEvent {
  readonly eventName = 'kyc.rejected';
  readonly occurredAt = new Date();

  constructor(
    public readonly aggregateId: string,
    public readonly adminId: string,
    public readonly reason: string,
  ) {}
}
